Subject: gitk does not recognizes ISO-8859-15

From: Marco Costalba <[email-masked]>
Date: Sat, 03 Dec 2005 17:24:24 +0100

Cannot use ISO-8859-15 according to IANA character-sets encoding file
(http://www.iana.org/assignments/character-sets):

[marco@costalba git]$ git-repo-config i18n.commitencoding ISO-8859-15
[marco@costalba git]$ gitk
Error in startup script: unknown encoding "ISO-8859-15"
     while executing
"fconfigure $commfd -blocking 0 -translation lf -encoding $gitencoding"
     (procedure "getcommits" line 34)
     invoked from within
"getcommits $revtreeargs"
     (file "/home/marco/bin/gitk" line 3743)
[marco@costalba git]$ git-repo-config i18n.commitencoding ISO_8859-15
[marco@costalba git]$ gitk
Error in startup script: unknown encoding "ISO_8859-15"
     while executing
"fconfigure $commfd -blocking 0 -translation lf -encoding $gitencoding"
     (procedure "getcommits" line 34)
     invoked from within
"getcommits $revtreeargs"
     (file "/home/marco/bin/gitk" line 3743)

Finally, after some trials, I found the Tcl/Tk recognized name is "iso8859-15".
This does not seems a standard name and worst ;-)  it is different from the Qt 
internal name "ISO8859-15".

I would like to use the qgit text codec selector to save the encoding in the 
repository config file (using git-repo-config i18n.commitencoding). But to do 
this I must do not break gitk.

Qt can reconize IANA names and also the following "internal" names (only the 
first part, before " --") that user can choose with codec selector combobox:

  Latin1
  Big5 -- Chinese
  Big5-HKSCS -- Chinese
  eucJP -- Japanese
  eucKR -- Korean
  GB2312 -- Chinese
  GBK -- Chinese
  GB18030 -- Chinese
  JIS7 -- Japanese
  Shift-JIS -- Japanese
  TSCII -- Tamil
  utf8 -- Unicode, 8-bit
  utf16 -- Unicode
  KOI8-R -- Russian
  KOI8-U -- Ukrainian
  ISO8859-1 -- Western
  ISO8859-2 -- Central European
  ISO8859-3 -- Central European
  ISO8859-4 -- Baltic
  ISO8859-5 -- Cyrillic
  ISO8859-6 -- Arabic
  ISO8859-7 -- Greek
  ISO8859-8 -- Hebrew, visually ordered
  ISO8859-8-i -- Hebrew, logically ordered
  ISO8859-9 -- Turkish
  ISO8859-10
  ISO8859-13
  ISO8859-14
  ISO8859-15 -- Western
  IBM 850
  IBM 866
  CP874
  CP1250 -- Central European
  CP1251 -- Cyrillic
  CP1252 -- Western
  CP1253 -- Greek
  CP1254 -- Turkish
  CP1255 -- Hebrew
  CP1256 -- Arabic
  CP1257 -- Baltic
  CP1258
  Apple Roman
  TIS-620 -- Thai

So here we arrive. I see two ways to deal with this:

1) *solution* make gitk use IANA names

2) *workaround* get from somewhere the list of Tcl/Tk recognized codec names and 
teach qgit to do the map from IANA when setting a codec with "git-repo-config 
i18n.commitencoding"

In both cases I need your help ;-)

Thanks
Marco

		
___________________________________ 
Yahoo! Mail: gratis 1GB per i messaggi e allegati da 10MB 
http://mail.yahoo.it